import { OnInit, ElementRef, ChangeDetectorRef } from "@angular/core";
import { NavigationService } from "../navigation.service";
import { UserService } from "../user.service";
import { WindowService } from '../window.service';
import * as i0 from "@angular/core";
export declare class NavigationComponent implements OnInit {
    private navigationService;
    private cd;
    private userService;
    private windowService;
    /**
     * Determines whether the component will call the user API to get user info.
     * False will use the `loggedIn` and `username` inputs. Default: `true`.
     */
    useAPI: boolean;
    /** Determines which version of the navigation bar to show */
    loggedIn: boolean;
    username: string;
    envUrl: string;
    search: ElementRef;
    showMenu: boolean;
    showCommunities: boolean;
    showSearchGroups: boolean;
    localData: any;
    userOptions: any;
    aboutOptions: any;
    searchModel: any;
    searchGroups: Array<Object>;
    selectedSearchGroup: Object;
    topAdSub: any;
    private hasTopAd;
    adStyles: {};
    private clickOutside;
    constructor(navigationService: NavigationService, cd: ChangeDetectorRef, userService: UserService, windowService: WindowService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Sets the community that a search query will be run against.
     * @param event     The click event that triggered this function.
     */
    setSearchGroup(event: any): void;
    /**
     * Search a given value. If on mobile, also used to toggle the search dropdown.
     * @param value    The value to search for
     */
    searchValue(value: any): void;
    /**
     * Opens or closes the search dropdown. Closes other open dropdowns.
     * Note: The search dropdown only appears on mobile.
     */
    toggleSearch(): void;
    /** Opens or closes the communities dropdown. Closes other open dropdowns.*/
    toggleSelect(): void;
    /** Opens or closes the logged in user menu. Closes other open dropdowns.*/
    toggleMenu(): void;
    /** Open or close the search groups dropdown menu. Closes other open dropdowns. */
    toggleSearchGroups(): void;
    /** Close all navigation bar dropdown menus. */
    closeDropdowns(): void;
    clickInside(): void;
    clickout(): void;
    setCommunityData(): void;
    getUserMenuOptions(): void;
    static ɵfac: i0.ɵɵFactoryDef<NavigationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<NavigationComponent, "ins-navigation", never, { "useAPI": "useAPI"; "loggedIn": "loggedIn"; "username": "username"; "envUrl": "envUrl"; }, {}, never, never>;
}
